lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date:   Sun, 1 Jul 2018 10:12:44 -0700
From:   Randy Dunlap <rdunlap@...radead.org>
To:     linux-kbuild <linux-kbuild@...r.kernel.org>,
        Masahiro Yamada <yamada.masahiro@...ionext.com>
Cc:     LKML <linux-kernel@...r.kernel.org>,
        Lucas De Marchi <lucas.demarchi@...fusion.mobi>,
        Michal Marek <michal.lkml@...kovi.net>,
        Chih-Wei Huang <cwhuang@...ux.org.tw>
Subject: [PATCH] kbuild: check for /sbin/depmod installed

From: Randy Dunlap <rdunlap@...radead.org>

Verify that 'depmod' ($DEPMOD) is installed.
This is a partial revert of 620c231c7a7f (from 2012):
  ("kbuild: do not check for ancient modutils tools")

Fixes kernel bugzilla #198965:
https://bugzilla.kernel.org/show_bug.cgi?id=198965

Signed-off-by: Randy Dunlap <rdunlap@...radead.org>
Cc: Lucas De Marchi <lucas.demarchi@...fusion.mobi>
Cc: Michal Marek <michal.lkml@...kovi.net>
Cc: Chih-Wei Huang <cwhuang@...ux.org.tw>
Cc: stable@...r.kernel.org # any kernel since 2012
---
 scripts/depmod.sh |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

--- lnx-418-rc2.orig/scripts/depmod.sh
+++ lnx-418-rc2/scripts/depmod.sh
@@ -10,10 +10,16 @@ fi
 DEPMOD=$1
 KERNELRELEASE=$2
 
-if ! test -r System.map -a -x "$DEPMOD"; then
+if ! test -r System.map ; then
 	exit 0
 fi
 
+if [ -z $(command -v $DEPMOD) ]; then
+	echo "'make *install' requires $DEPMOD. Please install it." >&2
+	echo "This is probably in the module-init-tools package." >&2
+	exit 1
+fi
+
 # older versions of depmod require the version string to start with three
 # numbers, so we cheat with a symlink here
 depmod_hack_needed=true


Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ